Bug 967940 - Fails with --- spRcvMsg max message length exceeded, 12249384 bytes from 140
Fails with --- spRcvMsg max message length exceeded, 12249384 bytes from 140
Product: Fedora
Classification: Fedora
Component: sblim-sfcb (Show other bugs)
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Vitezslav Crhonek
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2013-05-28 11:35 EDT by Tomáš Bžatek
Modified: 2015-03-03 18:06 EST (History)
5 users (show)

See Also:
Fixed In Version: sblim-sfcb-1.3.16-5.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-07-15 21:37:41 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Tomáš Bžatek 2013-05-28 11:35:50 EDT
Description of problem:
sfcbd fails with the following message when trying to enumerate class names in the /root/cimv2 namespace:

--- spRcvMsg max message length exceeded, 12249384 bytes from 140

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. start sfcbd, register sufficient amount of providers
2. try to enumerate class names, e.g. using YAWN

Additional info:
Looking at the source code, it seems this is caused by large CIM XML reply, exceeding the limit set in sfcb.cfg. Simply raising the value of the maxMsgLen argument makes it work again.

## Max message length, in bytes. This is a limit on the size of messages
## written across sockets, for instance, between providers and SFCB.
## Default is 10000000
maxMsgLen:      10000000

Since this is limiting when having sblim and openlmi providers registered, suggesting to raise this value in Fedora packages to get reasonable experience when using OpenLMI.
Comment 1 Peter Schiffer 2013-06-24 08:40:05 EDT
I've also just encountered this problem. Thanks for workaround.

Comment 2 Fedora Update System 2013-06-24 10:28:21 EDT
sblim-sfcb-1.3.16-5.fc19 has been submitted as an update for Fedora 19.
Comment 3 Fedora Update System 2013-06-24 14:51:26 EDT
Package sblim-sfcb-1.3.16-5.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing sblim-sfcb-1.3.16-5.fc19'
as soon as you are able to.
Please go to the following url:
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2013-07-15 21:37:41 EDT
sblim-sfcb-1.3.16-5.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.